package com.platform.modules.foreign.entity;

import com.platform.modules.app.entity.LocationEntity;

import java.util.List;

/**
 * @author TONG
 * 2019/11/27 14:47
 **/
public class ReporterInterviewProcess {

    private Long reportId;

    private String reporterName;

    private String reporterImg;

    private LocationEntity position;
    
    private Integer status;

    private List<InterviewProcess> interviewProcesses;

    //推流状态 0未推流 1推流中
    private Integer isPush;

    public Long getReportId() {
        return reportId;
    }

    public void setReportId(Long reportId) {
        this.reportId = reportId;
    }

    public String getReporterName() {
        return reporterName;
    }

    public void setReporterName(String reporterName) {
        this.reporterName = reporterName;
    }

    public String getReporterImg() {
        return reporterImg;
    }

    public void setReporterImg(String reporterImg) {
        this.reporterImg = reporterImg;
    }

    public LocationEntity getPosition() {
        return position;
    }

    public void setPosition(LocationEntity position) {
        this.position = position;
    }

    public List<InterviewProcess> getInterviewProcesses() {
        return interviewProcesses;
    }

    public void setInterviewProcesses(List<InterviewProcess> interviewProcesses) {
        this.interviewProcesses = interviewProcesses;
    }
    
    public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}


    public Integer getIsPush() {
        return isPush;
    }

    public void setIsPush(Integer isPush) {
        this.isPush = isPush;
    }
    
	public static class InterviewProcess {

        private Long reporterId;

        private String addr;

        private String startDate;

        private String interviewTitle;

        private Integer state;

        public String getAddr() {
            return addr;
        }

        public void setAddr(String addr) {
            this.addr = addr;
        }

        public String getStartDate() {
            return startDate;
        }

        public void setStartDate(String startDate) {
            this.startDate = startDate;
        }

        public String getInterviewTitle() {
            return interviewTitle;
        }

        public void setInterviewTitle(String interviewTitle) {
            this.interviewTitle = interviewTitle;
        }

        public Long getReporterId() {
            return reporterId;
        }

        public void setReporterId(Long reporterId) {
            this.reporterId = reporterId;
        }

        public Integer getState() {
            return state;
        }

        public void setState(Integer state) {
            this.state = state;
        }
    }
}
